### Constructor

# Snapd Assertion new

since: 1.0

#### Declaration [src]

    SnapdAssertion*
    snapd_assertion_new (
      const gchar* content
    )

#### Description [src]

Create a new assertion.

Available since: 1.0

#### Parameters

`content`

  Type: `const gchar*`

  The text content of the assertion.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `SnapdAssertion`

A new `SnapdAssertion`.

The caller of the function takes ownership of the data, and is responsible for freeing it.